Page MenuHomePhabricator

[flang] Basic tests of external I/O runtime (part 9/9)
ClosedPublic

Authored by klausler on Jul 4 2020, 2:33 PM.

Details

Summary

Add new unit tests for external Fortran I/O that drive the
Fortran I/O runtime API from C++ and exercise basic writing
and read-back in the various combinations of access modes,
record length variability, and formatting. Sequential modes
are tested with positioning. More thorough tests written in
Fortran will follow when they can be compiled and run.

The Fortran runtime's error termination callback registration
was extended with source file and line number positions for
better failure messages in unit testing.

Diff Detail

Event Timeline

klausler created this revision.Jul 4 2020, 2:33 PM
Herald added a project: Restricted Project. · View Herald Transcript
sscalpone accepted this revision.Jul 5 2020, 3:03 PM
This revision is now accepted and ready to land.Jul 5 2020, 3:03 PM
klausler updated this revision to Diff 275733.Jul 6 2020, 9:16 AM

Add missing test.

This revision was automatically updated to reflect the committed changes.